Page 1 of 1

[OPEN] i3-gaps-next update issue

Posted: Fri Jan 04, 2019 4:03 pm
by jwj1217
I followed my normal update process which is update, skel...if needed and finally pksyua. Everything updated find except for i3-gaps-next-git. I get the following error in the make process ...

/usr/bin/ld: ./libi3.a(a-string.o): undefined reference to symbol 'g_utf8_make_valid'
/usr/bin/ld: /usr/lib/libglib-2.0.so.0: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:1582: i3] Error 1

I'm using Arcolinux(XFCE, Openbox and I3) version. I noticed that in the AUR a similar error has been posted. An ideas?

Re: [OPEN] i3-gaps-next update issue

Posted: Fri Jan 04, 2019 5:29 pm
by erikdubois
More info about updating and fixing issues is here

viewtopic.php?f=79&t=887&p=3426&hilit=aur#p3426

also here

https://arcolinux.com/category/arcolinux/fixes/

Best idea is to wait and flag that package out of date on the AUR.

The maintainer will fix it for you.

Re: [OPEN] i3-gaps-next update issue

Posted: Fri Jan 04, 2019 5:31 pm
by erikdubois
another idea is

Get it here

https://github.com/arcolinux/arcolinux_ ... pkg.tar.xz

Download and double click to install